package com.ruoyi.system.model;



import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Author jiuli
 * @Date 2024/1/16
 */
public class VoucherQueryRequestModel  implements Serializable {

    private PageModel pageModel;
    //账簿code
    @NotBlank(message = "账簿不能为空!")
    private String accbookCode;
    //科目code集合
    private List<String> accsubjectCodeList;
    //起始期间
    private String periodStart;
    //截止期间
    private String periodEnd;
    //起始制单日期
    private String makeTimeStart;
    //截止制单日期
    private String makeTimeEnd;
    //凭证状态
    private List<String> voucherStatusList;
    //凭证类型code
    private List<String> voucherTypeCodeList;
    //摘要
    private String description;
    //制单人用户名
    private List<String> makerNameList;
    //审核人用户名
    private List<String> auditorNameList;
    //记账人用户名
    private List<String> tallymanNameList;
    //凭证号区间左端点
    private Integer billcodeMin;
    //凭证号区间右端点
    private Integer billcodeMax;
    //分录金额区间左端点
    private BigDecimal moneyRangeMin;
    //分录金额区间右端点
    private BigDecimal moneyRangeMax;
    //最后操作日期区间左端点
    private String tsStart;
    //最后操作日期区间右端点
    private String tsEnd;

    public PageModel getPageModel() {
        return pageModel;
    }

    public void setPageModel(PageModel pageModel) {
        this.pageModel = pageModel;
    }

    public String getAccbookCode() {
        return accbookCode;
    }

    public void setAccbookCode(String accbookCode) {
        this.accbookCode = accbookCode;
    }

    public List<String> getAccsubjectCodeList() {
        return accsubjectCodeList;
    }

    public void setAccsubjectCodeList(List<String> accsubjectCodeList) {
        this.accsubjectCodeList = accsubjectCodeList;
    }

    public String getPeriodStart() {
        return periodStart;
    }

    public void setPeriodStart(String periodStart) {
        this.periodStart = periodStart;
    }

    public String getPeriodEnd() {
        return periodEnd;
    }

    public void setPeriodEnd(String periodEnd) {
        this.periodEnd = periodEnd;
    }

    public String getMakeTimeStart() {
        return makeTimeStart;
    }

    public void setMakeTimeStart(String makeTimeStart) {
        this.makeTimeStart = makeTimeStart;
    }

    public String getMakeTimeEnd() {
        return makeTimeEnd;
    }

    public void setMakeTimeEnd(String makeTimeEnd) {
        this.makeTimeEnd = makeTimeEnd;
    }

    public List<String> getVoucherStatusList() {
        return voucherStatusList;
    }

    public void setVoucherStatusList(List<String> voucherStatusList) {
        this.voucherStatusList = voucherStatusList;
    }

    public List<String> getVoucherTypeCodeList() {
        return voucherTypeCodeList;
    }

    public void setVoucherTypeCodeList(List<String> voucherTypeCodeList) {
        this.voucherTypeCodeList = voucherTypeCodeList;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<String> getMakerNameList() {
        return makerNameList;
    }

    public void setMakerNameList(List<String> makerNameList) {
        this.makerNameList = makerNameList;
    }

    public List<String> getAuditorNameList() {
        return auditorNameList;
    }

    public void setAuditorNameList(List<String> auditorNameList) {
        this.auditorNameList = auditorNameList;
    }

    public List<String> getTallymanNameList() {
        return tallymanNameList;
    }

    public void setTallymanNameList(List<String> tallymanNameList) {
        this.tallymanNameList = tallymanNameList;
    }

    public Integer getBillcodeMin() {
        return billcodeMin;
    }

    public void setBillcodeMin(Integer billcodeMin) {
        this.billcodeMin = billcodeMin;
    }

    public Integer getBillcodeMax() {
        return billcodeMax;
    }

    public void setBillcodeMax(Integer billcodeMax) {
        this.billcodeMax = billcodeMax;
    }

    public BigDecimal getMoneyRangeMin() {
        return moneyRangeMin;
    }

    public void setMoneyRangeMin(BigDecimal moneyRangeMin) {
        this.moneyRangeMin = moneyRangeMin;
    }

    public BigDecimal getMoneyRangeMax() {
        return moneyRangeMax;
    }

    public void setMoneyRangeMax(BigDecimal moneyRangeMax) {
        this.moneyRangeMax = moneyRangeMax;
    }

    public String getTsStart() {
        return tsStart;
    }

    public void setTsStart(String tsStart) {
        this.tsStart = tsStart;
    }

    public String getTsEnd() {
        return tsEnd;
    }

    public void setTsEnd(String tsEnd) {
        this.tsEnd = tsEnd;
    }
}
